Bug 141547 - CRASH: opening Standard Filter dialog
Summary: CRASH: opening Standard Filter dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.2.0 target:7.1.3 target:7.0.6
Keywords: wantBacktrace
Depends on:
Blocks:
 
Reported: 2021-04-07 18:34 UTC by Xisco Faulí
Modified: 2021-04-09 12:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (19.40 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-04-07 18:34 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-07 18:34:48 UTC
Created attachment 171017 [details]
sample file

This is a follow-up of bug 138089 I found while creating the UItest

Steps to reproduce it:
1. Open attached document
2. Select A1
3. Go to Data - More Filters - standard Filter

-> Crash

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: c47ad11f8c2e917adebbd5d7b3a3ef6cc4b3e670
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Mike Kaganski 2021-04-08 07:26:52 UTC
https://gerrit.libreoffice.org/c/core/+/113783
Comment 2 Commit Notification 2021-04-08 08:41:58 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a0d2fb3217094aa7158310f0bcf16093bcc4984f

tdf#141547: maQueryItems can be 0

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-04-08 12:27:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/7ba4eeb2e9b8153eb17779c93492ab80a5cd4644

tdf#141547: maQueryItems can be 0

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-04-08 12:59:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e90706dd0448772acf28d4e4762b7298cd4e0b60

tdf#141547: sc: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-04-09 08:55:11 UTC
Verified in

Version: 7.1.3.0.0+ / LibreOffice Community
Build ID: aeca771f8a8e4c77008e921eebcdb5784003e419
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!!
Comment 6 Xisco Faulí 2021-04-09 08:59:09 UTC
(In reply to Commit Notification from comment #3)
> Mike Kaganski committed a patch related to this issue.
> It has been pushed to "libreoffice-7-1":
> 
> https://git.libreoffice.org/core/commit/
> 7ba4eeb2e9b8153eb17779c93492ab80a5cd4644
> 
> tdf#141547: maQueryItems can be 0
> 
> It will be available in 7.1.3.
> 
> The patch should be included in the daily builds available at
> https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> https://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

it also fixes bug 138089 in libreoffice-7-1 branch
Comment 7 Commit Notification 2021-04-09 12:47:18 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2d4bb629eea591b43c95e63483034b4fbda27fe1

tdf#141547: maQueryItems can be 0

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.